Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 691384 - dev-libs/hyperscan: Bump to 5.2.0
Summary: dev-libs/hyperscan: Bump to 5.2.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Christian Roessner
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 685618
  Show dependency tree
 
Reported: 2019-08-04 08:16 UTC by Michał Górny
Modified: 2019-10-08 14:35 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-08-04 08:16:45 UTC
5.1.1 has been released in April, and apparently fixes the other bug.  If you are still interested in maintaining this package, please bump it.  Please also look into solving QA issues [1].

David, you seem to have last bumped it.  Are you interested in co-maintaining or replacing the maintainer?

[1] https://qa-reports.gentoo.org/output/gentoo-ci/output.html#dev-libs/hyperscan
Comment 1 Ralf Ramsauer 2019-08-19 18:58:32 UTC
Any updates on this? Hyperscan currently is de-facto broken with gcc-9, it requires some ugly workarounds.

Thanks!
Comment 2 Larry the Git Cow gentoo-dev 2019-10-08 14:35:55 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1193c695e7acd1c77848779e1d6c9f5dc3d8a82d

commit 1193c695e7acd1c77848779e1d6c9f5dc3d8a82d
Author:     Alexey Shvetsov <alexxy@gentoo.org>
AuthorDate: 2019-10-08 11:36:14 +0000
Commit:     Alexey Shvetsov <alexxy@gentoo.org>
CommitDate: 2019-10-08 14:35:20 +0000

    dev-libs/hyperscan: Fix build for gcc9.x
    
    Closes: https://bugs.gentoo.org/685618
    Closes: https://bugs.gentoo.org/691384
    Closes: https://bugs.gentoo.org/696856
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>

 dev-libs/hyperscan/hyperscan-5.1.1.ebuild | 8 +++++++-
 dev-libs/hyperscan/hyperscan-5.2.0.ebuild | 8 +++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)